Bug 521785 - Overall Hardware memory not output or displayed in CSV file
Summary: Overall Hardware memory not output or displayed in CSV file
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-top
Version: unspecified
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 10:24 UTC by Richard F Dawson
Modified: 2010-03-16 17:23 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 14:56:09 UTC


Attachments (Terms of Use)
Interactive mode output (36.84 KB, image/jpeg)
2009-09-08 10:24 UTC, Richard F Dawson
no flags Details
Example CSV file with extra field. (761 bytes, text/plain)
2009-10-05 14:55 UTC, Richard W.M. Jones
no flags Details

Description Richard F Dawson 2009-09-08 10:24:01 UTC
Created attachment 360057 [details]
Interactive mode output

Description of problem:

I would like to use the csv output of virt-top to populate an RRD Tool database and show the memory utilisation of a physical server.
The values that I would like to display are the following :-
1. Overall Hardware memory allocation (KB)
2. Total Memory (KB) 
3. Total Guest Memory (KB)

Currently Item 1 - "Overall Hardware Memory" is displayed in the interactive mode but does not appear in the csv output, making it hard to chart from the data provided in the csv file.

Should this not be included in the CSV output as it is in the interactive mode display ?    
Please can the "Overall Hardware Memory" be included into the csv output?

As an aside I also notice that the "CPU Mhz" is also missing from the csv output.

Version-Release number of selected component (if applicable):
virt-top-0.3.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. run virt-top in interactive mode ("virt-top")- hardware memory displayed on first line 6th item in. 
2. run virt-top in csv mode "virt-top --csv virt-top.csv"
3. compare interactive and csv output to show that field is missing.
  
Actual results:
Please view the jpg file for a screenshot of the interactive mode.
The CSV output on this example server is :-
---- Start of CSV output ----
Hostname,Time,Arch,Physical CPUs,Count,Running,Blocked,Paused,Shutdown,Shutoff,Crashed,Active,Inactive,%CPU,Total memory (KB),Total guest memory (KB),Total CPU time (ns),Domain ID,Domain name,CPU (ns),%CPU,Block RDRQ,Block WRRQ,Net RXBY,Net TXBY
server-a.xyz.com,09:20:48,x86_64,4,3,1,1,0,0,0,0,2,1,0.0,2097152,1048428,0,0,Domain-0,0.,0.,,,,,1,lxvirt030,0.,0.,,,,
server-a.xyz.com,09:20:51,x86_64,4,3,1,1,0,0,0,0,2,1,4.0,2097152,1048428,495352771,0,Domain-0,494452207.,4.01450846639,,,,,1,lxvirt030,900564.,0.00731177200008,0,0,0,0
server-a.xyz.com,09:20:54,x86_64,4,3,1,1,0,0,0,0,2,1,2.5,2097152,1048428,302027555,0,Domain-0,301311218.,2.48433694006,,,,,1,lxvirt030,716337.,0.00590626025292,0,0,0,0
server-a.xyz.com,09:20:57,x86_64,4,3,1,1,0,0,0,0,2,1,3.0,2097152,1048428,365883102,0,Domain-0,364813266.,3.00019784001,,,,,1,lxvirt030,1069836.,0.00879825366978,0,0,0,0
---- End of CSV output ----

Expected results:
Before or after physical CPU's (seems logical) to output "Overall Hardware Memory" into the csv output file.

Additional info:
None

Comment 1 Richard W.M. Jones 2009-10-05 14:55:00 UTC
You could actually get this from 'virsh nodeinfo', but I
added it to virt-top anyway.  It's returned in KB (not MB)
because that is how libvirt gives it to us, and also because
that is consistent with the other memory fields.

Comment 2 Richard W.M. Jones 2009-10-05 14:55:36 UTC
Created attachment 363688 [details]
Example CSV file with extra field.

Comment 4 Fedora Update System 2009-10-07 17:06:08 UTC
virt-top-1.0.4-1.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/virt-top-1.0.4-1.fc12.1


Note You need to log in before you can comment on or make changes to this bug.